<?php namespace SokoWeb\Database;

class Utils {
    public static function backtick(string $name): string
    {
        return '`' . $name . '`';
    }

    public static function generateColumnsWithBinding(array $columns): string
    {
        array_walk($columns, function(&$value, $key) {
            $value = static::backtick($value) . '=?';
        });

        return implode(',', $columns);
    }
}
